// Script for handling the ASOPsettings window


var readASOPprop = true
var ASOPproperties = new Array()

var ASOPsettingsWindow = null
var asop_doc

function initASOPsettings()
{
  var matrix = new Array(
    Array("A","Infantry & basic game rules",
      "A1","Personnel counters",
      "A2_5","Entry",
      "A4_15","Infantry OVR",
      "A4_4","Portage",
      "A9","Machine guns & SW malfunction",
      "A10","Morale",
      "A12","Concealment",
      "A12_15","Detection",
      "A13","Cavalry",
      "A14","Snipers",
      "A15_4","Berserk",
      "A16","Battlefield integrity",
      "A18","Field promotions",
      "A19","Unit substitution",
      "A20","Prisoners",
      "A22","Flamethrowers",
      "A23","Demolition charges",
      "A24","SMOKE",
      "A25_23","Human Wave"),
    Array("B","Terrain",
      "B6","Bridge",
      "B8","Sewers & tunnels",
      "B9","Walls & hedges",
      "B11_4","Climbing",
      "B20","Stream & crest status",
      "B21","River",
      "B24","Rubble",
      "B24_7","Clearance",
      "B25","Fire",
      "B25_5","Environmental conditions",
      "B25_65","Wind",
      "B26","Wire",
      "B27","Entrenchments",
      "B28","Minefield",
      "B29","Roadblock",
      "B30","Pillbox"),
    Array("C","Ordnance & offboard artillery",
      "C_2","Ordnance",
      "C1","Offboard artillery (OBA)",
      "C1_8","Bombardment",
      "C1_9","Rocket OBA",
      "C2","Guns",
      "C5_3","Bounding fire",
      "C8","Special ammunition",
      "C9","Mortars",
      "C10_1","Towing",
      "C10_3","Pushing",
      "C13_5","MOL-projector"),
    Array("D","Vehicles",
      "D1","Vehicle counters",
      "D2","Vehicular movement",
      "D3","AFV combat",
      "D4_2","Hull down",
      "D5","Inherent crew",
      "D6","Transporting personnel",
      "D7","Overruns (OVR)",
      "D8","Immobilization & bog",
      "D9_3","Armored assault",
      "D10","Wrecks",
      "D10_5","Scrounging",
      "D12","Horse-drawn transport",
      "D13","Vehicular smoke dispensers",
      "D14","Radioless AFV",
      "D15","Motorcycles & bicycles",
      "D16","DD tanks & amphibians"),
    Array("E","Miscellaneous",
      "E1","Night",
      "E2","Interrogation",
      "E3","Weather",
      "E3_3","Fog/Mist",
      "E3_5","Rain",
      "E3_7","Snow",
      "E4","Ski troops",
      "E5","Boats",
      "E6","Swimming",
      "E7","Air support",
      "E8","Gliders",
      "E9","Parachutes",
      "E10","Ammo vehicles",
      "E11","Convoy",
      "E11_5","Column",
      "E12","Barrage"),
    Array("F","North Africa",
      "F_1","Desert boards",
      "F8","Sangars",
      "F11","Arid climate conditions",
      "F11_6","Desert Low Visibility",
      "F11_7","Dust"),
    Array("G","Pacific theatre",
      "G_1","PTO terrain",
      "G1","The Japanese",
      "G9","Panjis",
      "G10","Animal-pack",
      "G11","Caves",
      "G12","Landing craft",
      "G13","Beaches & Ocean",
      "G13_7","Pier",
      "G14","Seaborne assault",
      "G14_6","NOBA",
      "G15","Bulldozers",
      "G17","The U.S. Marine Corps & early U.S. Army",
      "G18","The Chinese"),
    Array("H","Design your own"),
    Array("Z","Historical modules",
      "O","Red Barricades",
      "P","Kampfgruppe Peiper",
      "Q","Pegasus Bridge",
      "R","A Bridge too Far",
      "T","Blood Reef: Tarava"),
    Array("Pre","Pre-game sequence"))

  var ac=0;
  for (var i = 0; i < matrix.length; i++)
  {
    ASOPproperties[i] = new Array()
    var ac=0;
    for (var j = 0; j < matrix[i].length;)
    {
      ASOPproperties[i][ac] = new Object()
      ASOPproperties[i][ac].id = matrix[i][j++]
      ASOPproperties[i][ac].name = matrix[i][j++]
      ASOPproperties[i][ac].open = false
      ASOPproperties[i][ac++].val = 0
    }
  }
}


var asopSpecials = new Array(
  Array('A1','D10_5'),
  Array('A1','G10'),
  Array('A2_5','A9'),
  Array('A2_5','D2'),
  Array('A4_4','A9','A10','C2'),
  Array('A4_4','A20'),
  Array('A9','C2'),
  Array('A9','C2','C9'),
  Array('A9','C2','D3'),
  Array('A10','D3'),
  Array('A12','E11_5'),
  Array('A12_15','B25','B27'),
  Array('A12_15','B27'),
  Array('A13','A25_23','D14','E11','E11_5'),
  Array('A13','D6'),
  Array('A23','B24','B26','B28','B29','G_1','G9','O'),
  Array('A23','B26','B29','G_1','G9'),
  Array('A23','D3'),
  Array('A24','B25'),
  Array('A24','E1'),
  Array('A24','E1','F11_7'),
  Array('A25_23','E6'),
  Array('B8','B11_4','E6'),
  Array('B8','B24_7'),
  Array('B8','D2','D8','E1','G_1'),
  Array('B20','B21'),
  Array('B25_65','E1','E2','E3_3','E3_5','E3_7','F11_7','G_1','G13'),
  Array('B26','B29','B30'),
  Array('B28','C1'),
  Array('B28','G9'),
  Array('C_2','D1'),
  Array('C1','C9'),
  Array('C1_9','E12'),
  Array('C2','D1'),
  Array('C2','E7'),
  Array('C8','C9','C13_5','E1'),
  Array('C8','C13_5'),
  Array('C8','E1'),
  Array('C10_1','C10_3'),
  Array('D2','D4_2'),
  Array('D2','D4_2','D5','D10'),
  Array('D2','D8','E1','G_1'),
  Array('D2','D13'),
  Array('D2','E5','G12'),
  Array('D2','E8','E9'),
  Array('D12','D15'),
  Array('D14','E11','E11_5'),
  Array('D16','E5','E6'),
  Array('D16','G12'),
  Array('E1','E11_5'),
  Array('E1','E11_5','G9'),
  Array('E1','F8'),
  Array('E1','G_1'),
  Array('E5','G12'),
  Array('E6','E11_5'),
  Array('E7','E8','E9'),
  Array('E7','G14_6'),
  Array('E8','E9'),
  Array('E10','G10'),
  Array('E11_5','G14_6'),
  Array('G12','G14'),
  Array('H','O','P'),
  Array('H','O','P','R'),
  Array('H','O','R'),
  Array('H','P','Q','R','T'),
  Array('O','P'),
  Array('O','P','Q','R','T'),
  Array('O','P','R','T'))


function showASOPsettings(doc)
{
  asop_doc = doc
  readASOPsettings()
  
  if ((ASOPsettingsWindow == null) || (ASOPsettingsWindow.closed))
  {
    ASOPsettingsWindow = window.open("","ASOPsettings","scrollbars=yes,height=600,width=400,resizable=yes")
  }
  ASOPsettingsWindow.focus()
  ASOPsettingsWindow.document.write(ASOPsettingsHTML())
  ASOPsettingsWindow.document.close()
}

function asopDisplay(tag)
{
  var p = ASOPproperties[tag]

  if (p.length <= 1)
    return

  var visTr = p[0].open ? "" : "none"
  var visTc = p[0].open ? "none" : ""

  ASOPsettingsWindow.document.getElementById(p[0].id+"ex").style.display=p[0].open ? "inline" : "none"
  ASOPsettingsWindow.document.getElementById(p[0].id+"cl").style.display=p[0].open ? "none" : "inline"

  var els = ASOPsettingsWindow.document.getElementsByName(p[0].id)
  for (var i = 0; i < 3; i++)
    els[i].style.display=visTc

  for (var i = 1; i < p.length; i++)
    ASOPsettingsWindow.document.getElementById(p[i].id+"tr").style.display=visTr 

}


function asopSetExpand(tag)
{
  ASOPproperties[tag][0].open = !ASOPproperties[tag][0].open

  asopDisplay(tag)
}


function applyASOPStyles(doc)
{
  if (!doc.styleSheets)
  {
    alert ("No stylesheet found")
    return
  }

  var theRules = new Array()
  for(var i = 0; i < doc.styleSheets.length; i++)
  {
    if (doc.styleSheets[i].cssRules)
      theRules = doc.styleSheets[i].cssRules
    else if (doc.styleSheets[i].rules)
      theRules = doc.styleSheets[i].rules
    else
    {
      alert ("Browser doesn't support this function")
      return;
    }

    for (var j = 0; j < theRules.length; j++)
    {
      if (theRules[j].selectorText == ".A1")
      {
        for (var k = 0; k < ASOPproperties.length; k++)
        {        
          var p = ASOPproperties[k]

          if (p[0].open)
          {
            for (var l = 1; l < p.length; l++)
            {
              if (p[l].val == 0)
              {
                theRules[j].style.fontWeight=''
                theRules[j].style.display=''
              }
              else if (p[l].val == 1)
              {
                theRules[j].style.display='none'
              }
              else
              {
                theRules[j].style.fontWeight='bold'
                theRules[j].style.display=''
              }
              j++
            }
          }
          else
          {
            var fw = ''
            var ds = ''
            if (p[0].val == 1)
            {
              ds='none'
            }
            else if (p[0].val == 2)
            {
              fw='bold'
            }
            if (p.length == 1)
            {
              theRules[j].style.fontWeight=fw
              theRules[j].style.display=ds
              j++
            }
            else
              for (var l = 1; l < p.length; l++)
              {
                theRules[j].style.fontWeight=fw
                theRules[j].style.display=ds
                j++
              }
          }
        }

        applyCombinedStyles(theRules, j)
        return 
      }
    }
  }
  alert("Error in style sheet")
}
 

function applyCombinedStyles(theRules, j)
{
  for (var i = 0; i < asopSpecials.length; i++)
  {
    var ds = 'none'
    var p = asopSpecials[i]

    for (var k = 0; k < p.length; k++)
    {
      var v = findVal(p[k])
      if (v != 1)
      {
        ds =''
      }
    }
    theRules[j].style.display=ds
    j++
  }
}


function findVal (sec)
{
  var ch = sec.charAt(0)
  for (var i = 0; i < ASOPproperties.length; i++)
  {
    var p = ASOPproperties[i]
    if (ch == p[0].id || (ch >= 'O' && p[0].id == 'Z'))
    {
      if (p[0].open)
        for (var j = 1; j < p.length; j++)
        {
          if (sec == p[j].id)
          {
            return p[j].val
          }
        }

      return p[0].val
    }
  }
  return 0
}


function copyASOPsettings(apply)
{
  if ((ASOPsettingsWindow != null) && (!ASOPsettingsWindow.closed))
  {
    var ASOPsettings = ASOPsettingsWindow.document.ASOPsettings
    if (apply)
    {
      // Copy from ASOPsettings dialog to variables, cookie and styles
      var property = ""

      for (var i = 0; i < ASOPproperties.length; i++)
      {
        var p = ASOPproperties[i]
        
        var from, to

        if (p[0].open)
        {
          from = 1
          to = p.length
        }
        else
        {
          from = 0
          to = 1
        }

        for (var j = from; j < to; j++)
        {
          var newVal

          var els = ASOPsettingsWindow.document.getElementsByName(p[j].id)
          for (var k = 0; k < 3; k++)
            if (els[k] != null && els[k].checked)
              newVal = k

          p[j].val = newVal
          property+= "/"+p[j].id+":"+p[j].val
        }
      }
      applyASOPStyles(asop_doc)
      setCookie ("ASOP", property)
    } 
    else 
    {
      // Copy from variables to ASOPsettings dialog
      for (var i = 0; i < ASOPproperties.length; i++)
      {
        var p = ASOPproperties[i]
        
        for (var j = 0; j < p.length; j++)
        {
          var els = ASOPsettingsWindow.document.getElementsByName(p[j].id)
          els[p[j].val].checked=true
        }
        asopDisplay(i)
      } 
    }
  }
}

function ASOPsettingsOK()
{
  copyASOPsettings(true)
  ASOPsettingsWindow.close()
}

function ASOPsettingsApply()
{
  copyASOPsettings(true)
}

function ASOPsettingsCancel()
{
  ASOPsettingsWindow.close()
}


function ASOPsettingsHTML()
/*{
  var txtHTML = "<html><head><title>ASOP settings</title></head><body onLoad='javascript:opener.copyASOPsettings()'>"
  txtHTML += "<form name='ASOPsettings'><b>Adjust settings for ASOP</b><hr>"
  txtHTML += "<table border=0 cellspacing=0 cellpadding=0 style='font-size: 75%' width='100%'>"
  txtHTML += "<COLGROUP span=6 align=left>"
  txtHTML += "<tr><td></td><td></td><th><i>Name</th><th><i>Normal</th><th><i>Hidden</th><th><i>Bold</th></tr>"
  
  for (var i = 0; i < ASOPproperties.length; i++)
  {
    var start = "<tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(" + i + ")'>"
    var p = ASOPproperties[i]

    if (p.length > 1)
    {
      txtHTML += start + "<img src='" + top.basePath + "Collapsed.gif' border=0 id='"+p[0].id+"cl'>"
      txtHTML += "<img src='" + top.basePath + "Expanded.gif' border=0 id='"+p[0].id+"ex'></a></td>"
    }
    else
      txtHTML += "<tr><td></td>"

    txtHTML += "<th align=left>"+p[0].id+"&nbsp;</th><th align=left>"+p[0].name+"</th>"
    txtHTML += "<td><input type='radio' id='nml' name='"+p[0].id+"'></td>"
    txtHTML += "<td><input type='radio' id='hid' name='"+p[0].id+"'></td>"
    txtHTML += "<td><input type='radio' id='bol' name='"+p[0].id+"'></td></tr>"
    

    for (var j = 1; j < p.length; j++)
    {
      var id = p[j].id
      var pos = id.indexOf("_")
      if (pos >= 0)
        id = id.substring(0,pos)+"."+id.substring(pos+1,id.length) 
      txtHTML += "<tr id='"+p[j].id+"tr'><td></td><td>"+id+"&nbsp;</td><td>"+p[j].name+"</td>"
      txtHTML += "<td><input type='radio' id='nml' name='"+p[j].id+"'></td>"
      txtHTML += "<td><input type='radio' id='hid' name='"+p[j].id+"'></td>"
      txtHTML += "<td><input type='radio' id='bol' name='"+p[j].id+"'></td></tr>"
    }
  }

  txtHTML += "</table>"
  txtHTML += "<br><input type='button' name='btnOK' value='OK' onclick='javascript:opener.ASOPsettingsOK()' accesskey='O'>"
  txtHTML += "<input type='button' name='btnApply' value='Apply' onClick='javascript:opener.ASOPsettingsApply()' accesskey='A'>"
  txtHTML += "<input type='button' name='btnCancel' value='Cancel' onClick='javascript:opener.ASOPsettingsCancel()' accesskey='C'>"
  txtHTML += "</form></body></html>"
  return txtHTML
}
*/
{
return "<html><head><title>ASOP settings</title></head><body onLoad='javascript:opener.copyASOPsettings()'><form name='ASOPsettings'><b>Adjust settings for ASOP</b><hr><table border=0 cellspacing=0 cellpadding=0 style='font-size: 75%' width='100%'><COLGROUP span=6 align=left><tr><td></td><td></td><th><i>Name</th><th><i>Normal</th><th><i>Hidden</th><th><i>Bold</th></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(0)'><img src='Collapsed.gif' border=0 id='Acl'><img src='Expanded.gif' border=0 id='Aex'></a></td><th align=left>A&nbsp;</th><th align=left>Infantry & basic game rules</th><td><input type='radio' id='nml' name='A'></td><td><input type='radio' id='hid' name='A'></td><td><input type='radio' id='bol' name='A'></td></tr><tr id='A1tr'><td></td><td>A1&nbsp;</td><td>Personnel counters</td><td><input type='radio' id='nml' name='A1'></td><td><input type='radio' id='hid' name='A1'></td><td><input type='radio' id='bol' name='A1'></td></tr><tr id='A2_5tr'><td></td><td>A2.5&nbsp;</td><td>Entry</td><td><input type='radio' id='nml' name='A2_5'></td><td><input type='radio' id='hid' name='A2_5'></td><td><input type='radio' id='bol' name='A2_5'></td></tr><tr id='A4_15tr'><td></td><td>A4.15&nbsp;</td><td>Infantry OVR</td><td><input type='radio' id='nml' name='A4_15'></td><td><input type='radio' id='hid' name='A4_15'></td><td><input type='radio' id='bol' name='A4_15'></td></tr><tr id='A4_4tr'><td></td><td>A4.4&nbsp;</td><td>Portage</td><td><input type='radio' id='nml' name='A4_4'></td><td><input type='radio' id='hid' name='A4_4'></td><td><input type='radio' id='bol' name='A4_4'></td></tr><tr id='A9tr'><td></td><td>A9&nbsp;</td><td>Machine guns & SW malfunction</td><td><input type='radio' id='nml' name='A9'></td><td><input type='radio' id='hid' name='A9'></td><td><input type='radio' id='bol' name='A9'></td></tr><tr id='A10tr'><td></td><td>A10&nbsp;</td><td>Morale</td><td><input type='radio' id='nml' name='A10'></td><td><input type='radio' id='hid' name='A10'></td><td><input type='radio' id='bol' name='A10'></td></tr><tr id='A12tr'><td></td><td>A12&nbsp;</td><td>Concealment</td><td><input type='radio' id='nml' name='A12'></td><td><input type='radio' id='hid' name='A12'></td><td><input type='radio' id='bol' name='A12'></td></tr><tr id='A12_15tr'><td></td><td>A12.15&nbsp;</td><td>Detection</td><td><input type='radio' id='nml' name='A12_15'></td><td><input type='radio' id='hid' name='A12_15'></td><td><input type='radio' id='bol' name='A12_15'></td></tr><tr id='A13tr'><td></td><td>A13&nbsp;</td><td>Cavalry</td><td><input type='radio' id='nml' name='A13'></td><td><input type='radio' id='hid' name='A13'></td><td><input type='radio' id='bol' name='A13'></td></tr><tr id='A14tr'><td></td><td>A14&nbsp;</td><td>Snipers</td><td><input type='radio' id='nml' name='A14'></td><td><input type='radio' id='hid' name='A14'></td><td><input type='radio' id='bol' name='A14'></td></tr><tr id='A15_4tr'><td></td><td>A15.4&nbsp;</td><td>Berserk</td><td><input type='radio' id='nml' name='A15_4'></td><td><input type='radio' id='hid' name='A15_4'></td><td><input type='radio' id='bol' name='A15_4'></td></tr><tr id='A16tr'><td></td><td>A16&nbsp;</td><td>Battlefield integrity</td><td><input type='radio' id='nml' name='A16'></td><td><input type='radio' id='hid' name='A16'></td><td><input type='radio' id='bol' name='A16'></td></tr><tr id='A18tr'><td></td><td>A18&nbsp;</td><td>Field promotions</td><td><input type='radio' id='nml' name='A18'></td><td><input type='radio' id='hid' name='A18'></td><td><input type='radio' id='bol' name='A18'></td></tr><tr id='A19tr'><td></td><td>A19&nbsp;</td><td>Unit substitution</td><td><input type='radio' id='nml' name='A19'></td><td><input type='radio' id='hid' name='A19'></td><td><input type='radio' id='bol' name='A19'></td></tr><tr id='A20tr'><td></td><td>A20&nbsp;</td><td>Prisoners</td><td><input type='radio' id='nml' name='A20'></td><td><input type='radio' id='hid' name='A20'></td><td><input type='radio' id='bol' name='A20'></td></tr><tr id='A22tr'><td></td><td>A22&nbsp;</td><td>Flamethrowers</td><td><input type='radio' id='nml' name='A22'></td><td><input type='radio' id='hid' name='A22'></td><td><input type='radio' id='bol' name='A22'></td></tr><tr id='A23tr'><td></td><td>A23&nbsp;</td><td>Demolition charges</td><td><input type='radio' id='nml' name='A23'></td><td><input type='radio' id='hid' name='A23'></td><td><input type='radio' id='bol' name='A23'></td></tr><tr id='A24tr'><td></td><td>A24&nbsp;</td><td>SMOKE</td><td><input type='radio' id='nml' name='A24'></td><td><input type='radio' id='hid' name='A24'></td><td><input type='radio' id='bol' name='A24'></td></tr><tr id='A25_23tr'><td></td><td>A25.23&nbsp;</td><td>Human Wave</td><td><input type='radio' id='nml' name='A25_23'></td><td><input type='radio' id='hid' name='A25_23'></td><td><input type='radio' id='bol' name='A25_23'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(1)'><img src='Collapsed.gif' border=0 id='Bcl'><img src='Expanded.gif' border=0 id='Bex'></a></td><th align=left>B&nbsp;</th><th align=left>Terrain</th><td><input type='radio' id='nml' name='B'></td><td><input type='radio' id='hid' name='B'></td><td><input type='radio' id='bol' name='B'></td></tr><tr id='B6tr'><td></td><td>B6&nbsp;</td><td>Bridge</td><td><input type='radio' id='nml' name='B6'></td><td><input type='radio' id='hid' name='B6'></td><td><input type='radio' id='bol' name='B6'></td></tr><tr id='B8tr'><td></td><td>B8&nbsp;</td><td>Sewers & tunnels</td><td><input type='radio' id='nml' name='B8'></td><td><input type='radio' id='hid' name='B8'></td><td><input type='radio' id='bol' name='B8'></td></tr><tr id='B9tr'><td></td><td>B9&nbsp;</td><td>Walls & hedges</td><td><input type='radio' id='nml' name='B9'></td><td><input type='radio' id='hid' name='B9'></td><td><input type='radio' id='bol' name='B9'></td></tr><tr id='B11_4tr'><td></td><td>B11.4&nbsp;</td><td>Climbing</td><td><input type='radio' id='nml' name='B11_4'></td><td><input type='radio' id='hid' name='B11_4'></td><td><input type='radio' id='bol' name='B11_4'></td></tr><tr id='B20tr'><td></td><td>B20&nbsp;</td><td>Stream & crest status</td><td><input type='radio' id='nml' name='B20'></td><td><input type='radio' id='hid' name='B20'></td><td><input type='radio' id='bol' name='B20'></td></tr><tr id='B21tr'><td></td><td>B21&nbsp;</td><td>River</td><td><input type='radio' id='nml' name='B21'></td><td><input type='radio' id='hid' name='B21'></td><td><input type='radio' id='bol' name='B21'></td></tr><tr id='B24tr'><td></td><td>B24&nbsp;</td><td>Rubble</td><td><input type='radio' id='nml' name='B24'></td><td><input type='radio' id='hid' name='B24'></td><td><input type='radio' id='bol' name='B24'></td></tr><tr id='B24_7tr'><td></td><td>B24.7&nbsp;</td><td>Clearance</td><td><input type='radio' id='nml' name='B24_7'></td><td><input type='radio' id='hid' name='B24_7'></td><td><input type='radio' id='bol' name='B24_7'></td></tr><tr id='B25tr'><td></td><td>B25&nbsp;</td><td>Fire</td><td><input type='radio' id='nml' name='B25'></td><td><input type='radio' id='hid' name='B25'></td><td><input type='radio' id='bol' name='B25'></td></tr><tr id='B25_5tr'><td></td><td>B25.5&nbsp;</td><td>Environmental conditions</td><td><input type='radio' id='nml' name='B25_5'></td><td><input type='radio' id='hid' name='B25_5'></td><td><input type='radio' id='bol' name='B25_5'></td></tr><tr id='B25_65tr'><td></td><td>B25.65&nbsp;</td><td>Wind</td><td><input type='radio' id='nml' name='B25_65'></td><td><input type='radio' id='hid' name='B25_65'></td><td><input type='radio' id='bol' name='B25_65'></td></tr><tr id='B26tr'><td></td><td>B26&nbsp;</td><td>Wire</td><td><input type='radio' id='nml' name='B26'></td><td><input type='radio' id='hid' name='B26'></td><td><input type='radio' id='bol' name='B26'></td></tr><tr id='B27tr'><td></td><td>B27&nbsp;</td><td>Entrenchments</td><td><input type='radio' id='nml' name='B27'></td><td><input type='radio' id='hid' name='B27'></td><td><input type='radio' id='bol' name='B27'></td></tr><tr id='B28tr'><td></td><td>B28&nbsp;</td><td>Minefield</td><td><input type='radio' id='nml' name='B28'></td><td><input type='radio' id='hid' name='B28'></td><td><input type='radio' id='bol' name='B28'></td></tr><tr id='B29tr'><td></td><td>B29&nbsp;</td><td>Roadblock</td><td><input type='radio' id='nml' name='B29'></td><td><input type='radio' id='hid' name='B29'></td><td><input type='radio' id='bol' name='B29'></td></tr><tr id='B30tr'><td></td><td>B30&nbsp;</td><td>Pillbox</td><td><input type='radio' id='nml' name='B30'></td><td><input type='radio' id='hid' name='B30'></td><td><input type='radio' id='bol' name='B30'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(2)'><img src='Collapsed.gif' border=0 id='Ccl'><img src='Expanded.gif' border=0 id='Cex'></a></td><th align=left>C&nbsp;</th><th align=left>Ordnance & offboard artillery</th><td><input type='radio' id='nml' name='C'></td><td><input type='radio' id='hid' name='C'></td><td><input type='radio' id='bol' name='C'></td></tr><tr id='C_2tr'><td></td><td>C.2&nbsp;</td><td>Ordnance</td><td><input type='radio' id='nml' name='C_2'></td><td><input type='radio' id='hid' name='C_2'></td><td><input type='radio' id='bol' name='C_2'></td></tr><tr id='C1tr'><td></td><td>C1&nbsp;</td><td>Offboard artillery (OBA)</td><td><input type='radio' id='nml' name='C1'></td><td><input type='radio' id='hid' name='C1'></td><td><input type='radio' id='bol' name='C1'></td></tr><tr id='C1_8tr'><td></td><td>C1.8&nbsp;</td><td>Bombardment</td><td><input type='radio' id='nml' name='C1_8'></td><td><input type='radio' id='hid' name='C1_8'></td><td><input type='radio' id='bol' name='C1_8'></td></tr><tr id='C1_9tr'><td></td><td>C1.9&nbsp;</td><td>Rocket OBA</td><td><input type='radio' id='nml' name='C1_9'></td><td><input type='radio' id='hid' name='C1_9'></td><td><input type='radio' id='bol' name='C1_9'></td></tr><tr id='C2tr'><td></td><td>C2&nbsp;</td><td>Guns</td><td><input type='radio' id='nml' name='C2'></td><td><input type='radio' id='hid' name='C2'></td><td><input type='radio' id='bol' name='C2'></td></tr><tr id='C5_3tr'><td></td><td>C5.3&nbsp;</td><td>Bounding fire</td><td><input type='radio' id='nml' name='C5_3'></td><td><input type='radio' id='hid' name='C5_3'></td><td><input type='radio' id='bol' name='C5_3'></td></tr><tr id='C8tr'><td></td><td>C8&nbsp;</td><td>Special ammunition</td><td><input type='radio' id='nml' name='C8'></td><td><input type='radio' id='hid' name='C8'></td><td><input type='radio' id='bol' name='C8'></td></tr><tr id='C9tr'><td></td><td>C9&nbsp;</td><td>Mortars</td><td><input type='radio' id='nml' name='C9'></td><td><input type='radio' id='hid' name='C9'></td><td><input type='radio' id='bol' name='C9'></td></tr><tr id='C10_1tr'><td></td><td>C10.1&nbsp;</td><td>Towing</td><td><input type='radio' id='nml' name='C10_1'></td><td><input type='radio' id='hid' name='C10_1'></td><td><input type='radio' id='bol' name='C10_1'></td></tr><tr id='C10_3tr'><td></td><td>C10.3&nbsp;</td><td>Pushing</td><td><input type='radio' id='nml' name='C10_3'></td><td><input type='radio' id='hid' name='C10_3'></td><td><input type='radio' id='bol' name='C10_3'></td></tr><tr id='C13_5tr'><td></td><td>C13.5&nbsp;</td><td>MOL-projector</td><td><input type='radio' id='nml' name='C13_5'></td><td><input type='radio' id='hid' name='C13_5'></td><td><input type='radio' id='bol' name='C13_5'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(3)'><img src='Collapsed.gif' border=0 id='Dcl'><img src='Expanded.gif' border=0 id='Dex'></a></td><th align=left>D&nbsp;</th><th align=left>Vehicles</th><td><input type='radio' id='nml' name='D'></td><td><input type='radio' id='hid' name='D'></td><td><input type='radio' id='bol' name='D'></td></tr><tr id='D1tr'><td></td><td>D1&nbsp;</td><td>Vehicle counters</td><td><input type='radio' id='nml' name='D1'></td><td><input type='radio' id='hid' name='D1'></td><td><input type='radio' id='bol' name='D1'></td></tr><tr id='D2tr'><td></td><td>D2&nbsp;</td><td>Vehicular movement</td><td><input type='radio' id='nml' name='D2'></td><td><input type='radio' id='hid' name='D2'></td><td><input type='radio' id='bol' name='D2'></td></tr><tr id='D3tr'><td></td><td>D3&nbsp;</td><td>AFV combat</td><td><input type='radio' id='nml' name='D3'></td><td><input type='radio' id='hid' name='D3'></td><td><input type='radio' id='bol' name='D3'></td></tr><tr id='D4_2tr'><td></td><td>D4.2&nbsp;</td><td>Hull down</td><td><input type='radio' id='nml' name='D4_2'></td><td><input type='radio' id='hid' name='D4_2'></td><td><input type='radio' id='bol' name='D4_2'></td></tr><tr id='D5tr'><td></td><td>D5&nbsp;</td><td>Inherent crew</td><td><input type='radio' id='nml' name='D5'></td><td><input type='radio' id='hid' name='D5'></td><td><input type='radio' id='bol' name='D5'></td></tr><tr id='D6tr'><td></td><td>D6&nbsp;</td><td>Transporting personnel</td><td><input type='radio' id='nml' name='D6'></td><td><input type='radio' id='hid' name='D6'></td><td><input type='radio' id='bol' name='D6'></td></tr><tr id='D7tr'><td></td><td>D7&nbsp;</td><td>Overruns (OVR)</td><td><input type='radio' id='nml' name='D7'></td><td><input type='radio' id='hid' name='D7'></td><td><input type='radio' id='bol' name='D7'></td></tr><tr id='D8tr'><td></td><td>D8&nbsp;</td><td>Immobilization & bog</td><td><input type='radio' id='nml' name='D8'></td><td><input type='radio' id='hid' name='D8'></td><td><input type='radio' id='bol' name='D8'></td></tr><tr id='D9_3tr'><td></td><td>D9.3&nbsp;</td><td>Armored assault</td><td><input type='radio' id='nml' name='D9_3'></td><td><input type='radio' id='hid' name='D9_3'></td><td><input type='radio' id='bol' name='D9_3'></td></tr><tr id='D10tr'><td></td><td>D10&nbsp;</td><td>Wrecks</td><td><input type='radio' id='nml' name='D10'></td><td><input type='radio' id='hid' name='D10'></td><td><input type='radio' id='bol' name='D10'></td></tr><tr id='D10_5tr'><td></td><td>D10.5&nbsp;</td><td>Scrounging</td><td><input type='radio' id='nml' name='D10_5'></td><td><input type='radio' id='hid' name='D10_5'></td><td><input type='radio' id='bol' name='D10_5'></td></tr><tr id='D12tr'><td></td><td>D12&nbsp;</td><td>Horse-drawn transport</td><td><input type='radio' id='nml' name='D12'></td><td><input type='radio' id='hid' name='D12'></td><td><input type='radio' id='bol' name='D12'></td></tr><tr id='D13tr'><td></td><td>D13&nbsp;</td><td>Vehicular smoke dispensers</td><td><input type='radio' id='nml' name='D13'></td><td><input type='radio' id='hid' name='D13'></td><td><input type='radio' id='bol' name='D13'></td></tr><tr id='D14tr'><td></td><td>D14&nbsp;</td><td>Radioless AFV</td><td><input type='radio' id='nml' name='D14'></td><td><input type='radio' id='hid' name='D14'></td><td><input type='radio' id='bol' name='D14'></td></tr><tr id='D15tr'><td></td><td>D15&nbsp;</td><td>Motorcycles & bicycles</td><td><input type='radio' id='nml' name='D15'></td><td><input type='radio' id='hid' name='D15'></td><td><input type='radio' id='bol' name='D15'></td></tr><tr id='D16tr'><td></td><td>D16&nbsp;</td><td>DD tanks & amphibians</td><td><input type='radio' id='nml' name='D16'></td><td><input type='radio' id='hid' name='D16'></td><td><input type='radio' id='bol' name='D16'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(4)'><img src='Collapsed.gif' border=0 id='Ecl'><img src='Expanded.gif' border=0 id='Eex'></a></td><th align=left>E&nbsp;</th><th align=left>Miscellaneous</th><td><input type='radio' id='nml' name='E'></td><td><input type='radio' id='hid' name='E'></td><td><input type='radio' id='bol' name='E'></td></tr><tr id='E1tr'><td></td><td>E1&nbsp;</td><td>Night</td><td><input type='radio' id='nml' name='E1'></td><td><input type='radio' id='hid' name='E1'></td><td><input type='radio' id='bol' name='E1'></td></tr><tr id='E2tr'><td></td><td>E2&nbsp;</td><td>Interrogation</td><td><input type='radio' id='nml' name='E2'></td><td><input type='radio' id='hid' name='E2'></td><td><input type='radio' id='bol' name='E2'></td></tr><tr id='E3tr'><td></td><td>E3&nbsp;</td><td>Weather</td><td><input type='radio' id='nml' name='E3'></td><td><input type='radio' id='hid' name='E3'></td><td><input type='radio' id='bol' name='E3'></td></tr><tr id='E3_3tr'><td></td><td>E3.3&nbsp;</td><td>Fog/Mist</td><td><input type='radio' id='nml' name='E3_3'></td><td><input type='radio' id='hid' name='E3_3'></td><td><input type='radio' id='bol' name='E3_3'></td></tr><tr id='E3_5tr'><td></td><td>E3.5&nbsp;</td><td>Rain</td><td><input type='radio' id='nml' name='E3_5'></td><td><input type='radio' id='hid' name='E3_5'></td><td><input type='radio' id='bol' name='E3_5'></td></tr><tr id='E3_7tr'><td></td><td>E3.7&nbsp;</td><td>Snow</td><td><input type='radio' id='nml' name='E3_7'></td><td><input type='radio' id='hid' name='E3_7'></td><td><input type='radio' id='bol' name='E3_7'></td></tr><tr id='E4tr'><td></td><td>E4&nbsp;</td><td>Ski troops</td><td><input type='radio' id='nml' name='E4'></td><td><input type='radio' id='hid' name='E4'></td><td><input type='radio' id='bol' name='E4'></td></tr><tr id='E5tr'><td></td><td>E5&nbsp;</td><td>Boats</td><td><input type='radio' id='nml' name='E5'></td><td><input type='radio' id='hid' name='E5'></td><td><input type='radio' id='bol' name='E5'></td></tr><tr id='E6tr'><td></td><td>E6&nbsp;</td><td>Swimming</td><td><input type='radio' id='nml' name='E6'></td><td><input type='radio' id='hid' name='E6'></td><td><input type='radio' id='bol' name='E6'></td></tr><tr id='E7tr'><td></td><td>E7&nbsp;</td><td>Air support</td><td><input type='radio' id='nml' name='E7'></td><td><input type='radio' id='hid' name='E7'></td><td><input type='radio' id='bol' name='E7'></td></tr><tr id='E8tr'><td></td><td>E8&nbsp;</td><td>Gliders</td><td><input type='radio' id='nml' name='E8'></td><td><input type='radio' id='hid' name='E8'></td><td><input type='radio' id='bol' name='E8'></td></tr><tr id='E9tr'><td></td><td>E9&nbsp;</td><td>Parachutes</td><td><input type='radio' id='nml' name='E9'></td><td><input type='radio' id='hid' name='E9'></td><td><input type='radio' id='bol' name='E9'></td></tr><tr id='E10tr'><td></td><td>E10&nbsp;</td><td>Ammo vehicles</td><td><input type='radio' id='nml' name='E10'></td><td><input type='radio' id='hid' name='E10'></td><td><input type='radio' id='bol' name='E10'></td></tr><tr id='E11tr'><td></td><td>E11&nbsp;</td><td>Convoy</td><td><input type='radio' id='nml' name='E11'></td><td><input type='radio' id='hid' name='E11'></td><td><input type='radio' id='bol' name='E11'></td></tr><tr id='E11_5tr'><td></td><td>E11.5&nbsp;</td><td>Column</td><td><input type='radio' id='nml' name='E11_5'></td><td><input type='radio' id='hid' name='E11_5'></td><td><input type='radio' id='bol' name='E11_5'></td></tr><tr id='E12tr'><td></td><td>E12&nbsp;</td><td>Barrage</td><td><input type='radio' id='nml' name='E12'></td><td><input type='radio' id='hid' name='E12'></td><td><input type='radio' id='bol' name='E12'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(5)'><img src='Collapsed.gif' border=0 id='Fcl'><img src='Expanded.gif' border=0 id='Fex'></a></td><th align=left>F&nbsp;</th><th align=left>North Africa</th><td><input type='radio' id='nml' name='F'></td><td><input type='radio' id='hid' name='F'></td><td><input type='radio' id='bol' name='F'></td></tr><tr id='F_1tr'><td></td><td>F.1&nbsp;</td><td>Desert boards</td><td><input type='radio' id='nml' name='F_1'></td><td><input type='radio' id='hid' name='F_1'></td><td><input type='radio' id='bol' name='F_1'></td></tr><tr id='F8tr'><td></td><td>F8&nbsp;</td><td>Sangars</td><td><input type='radio' id='nml' name='F8'></td><td><input type='radio' id='hid' name='F8'></td><td><input type='radio' id='bol' name='F8'></td></tr><tr id='F11tr'><td></td><td>F11&nbsp;</td><td>Arid climate conditions</td><td><input type='radio' id='nml' name='F11'></td><td><input type='radio' id='hid' name='F11'></td><td><input type='radio' id='bol' name='F11'></td></tr><tr id='F11_6tr'><td></td><td>F11.6&nbsp;</td><td>Desert Low Visibility</td><td><input type='radio' id='nml' name='F11_6'></td><td><input type='radio' id='hid' name='F11_6'></td><td><input type='radio' id='bol' name='F11_6'></td></tr><tr id='F11_7tr'><td></td><td>F11.7&nbsp;</td><td>Dust</td><td><input type='radio' id='nml' name='F11_7'></td><td><input type='radio' id='hid' name='F11_7'></td><td><input type='radio' id='bol' name='F11_7'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(6)'><img src='Collapsed.gif' border=0 id='Gcl'><img src='Expanded.gif' border=0 id='Gex'></a></td><th align=left>G&nbsp;</th><th align=left>Pacific theatre</th><td><input type='radio' id='nml' name='G'></td><td><input type='radio' id='hid' name='G'></td><td><input type='radio' id='bol' name='G'></td></tr><tr id='G_1tr'><td></td><td>G.1&nbsp;</td><td>PTO terrain</td><td><input type='radio' id='nml' name='G_1'></td><td><input type='radio' id='hid' name='G_1'></td><td><input type='radio' id='bol' name='G_1'></td></tr><tr id='G1tr'><td></td><td>G1&nbsp;</td><td>The Japanese</td><td><input type='radio' id='nml' name='G1'></td><td><input type='radio' id='hid' name='G1'></td><td><input type='radio' id='bol' name='G1'></td></tr><tr id='G9tr'><td></td><td>G9&nbsp;</td><td>Panjis</td><td><input type='radio' id='nml' name='G9'></td><td><input type='radio' id='hid' name='G9'></td><td><input type='radio' id='bol' name='G9'></td></tr><tr id='G10tr'><td></td><td>G10&nbsp;</td><td>Animal-pack</td><td><input type='radio' id='nml' name='G10'></td><td><input type='radio' id='hid' name='G10'></td><td><input type='radio' id='bol' name='G10'></td></tr><tr id='G11tr'><td></td><td>G11&nbsp;</td><td>Caves</td><td><input type='radio' id='nml' name='G11'></td><td><input type='radio' id='hid' name='G11'></td><td><input type='radio' id='bol' name='G11'></td></tr><tr id='G12tr'><td></td><td>G12&nbsp;</td><td>Landing craft</td><td><input type='radio' id='nml' name='G12'></td><td><input type='radio' id='hid' name='G12'></td><td><input type='radio' id='bol' name='G12'></td></tr><tr id='G13tr'><td></td><td>G13&nbsp;</td><td>Beaches & Ocean</td><td><input type='radio' id='nml' name='G13'></td><td><input type='radio' id='hid' name='G13'></td><td><input type='radio' id='bol' name='G13'></td></tr><tr id='G13_7tr'><td></td><td>G13.7&nbsp;</td><td>Pier</td><td><input type='radio' id='nml' name='G13_7'></td><td><input type='radio' id='hid' name='G13_7'></td><td><input type='radio' id='bol' name='G13_7'></td></tr><tr id='G14tr'><td></td><td>G14&nbsp;</td><td>Seaborne assault</td><td><input type='radio' id='nml' name='G14'></td><td><input type='radio' id='hid' name='G14'></td><td><input type='radio' id='bol' name='G14'></td></tr><tr id='G14_6tr'><td></td><td>G14.6&nbsp;</td><td>NOBA</td><td><input type='radio' id='nml' name='G14_6'></td><td><input type='radio' id='hid' name='G14_6'></td><td><input type='radio' id='bol' name='G14_6'></td></tr><tr id='G15tr'><td></td><td>G15&nbsp;</td><td>Bulldozers</td><td><input type='radio' id='nml' name='G15'></td><td><input type='radio' id='hid' name='G15'></td><td><input type='radio' id='bol' name='G15'></td></tr><tr id='G17tr'><td></td><td>G17&nbsp;</td><td>The U.S. Marine Corps & early U.S. Army</td><td><input type='radio' id='nml' name='G17'></td><td><input type='radio' id='hid' name='G17'></td><td><input type='radio' id='bol' name='G17'></td></tr><tr id='G18tr'><td></td><td>G18&nbsp;</td><td>The Chinese</td><td><input type='radio' id='nml' name='G18'></td><td><input type='radio' id='hid' name='G18'></td><td><input type='radio' id='bol' name='G18'></td></tr><tr><td></td><th align=left>H&nbsp;</th><th align=left>Design your own</th><td><input type='radio' id='nml' name='H'></td><td><input type='radio' id='hid' name='H'></td><td><input type='radio' id='bol' name='H'></td></tr><tr><td valign='top'>&nbsp;<a href='javascript:opener.asopSetExpand(8)'><img src='Collapsed.gif' border=0 id='Zcl'><img src='Expanded.gif' border=0 id='Zex'></a></td><th align=left>Z&nbsp;</th><th align=left>Historical modules</th><td><input type='radio' id='nml' name='Z'></td><td><input type='radio' id='hid' name='Z'></td><td><input type='radio' id='bol' name='Z'></td></tr><tr id='Otr'><td></td><td>O&nbsp;</td><td>Red Barricades</td><td><input type='radio' id='nml' name='O'></td><td><input type='radio' id='hid' name='O'></td><td><input type='radio' id='bol' name='O'></td></tr><tr id='Ptr'><td></td><td>P&nbsp;</td><td>Kampfgruppe Peiper</td><td><input type='radio' id='nml' name='P'></td><td><input type='radio' id='hid' name='P'></td><td><input type='radio' id='bol' name='P'></td></tr><tr id='Qtr'><td></td><td>Q&nbsp;</td><td>Pegasus Bridge</td><td><input type='radio' id='nml' name='Q'></td><td><input type='radio' id='hid' name='Q'></td><td><input type='radio' id='bol' name='Q'></td></tr><tr id='Rtr'><td></td><td>R&nbsp;</td><td>A Bridge too Far</td><td><input type='radio' id='nml' name='R'></td><td><input type='radio' id='hid' name='R'></td><td><input type='radio' id='bol' name='R'></td></tr><tr id='Ttr'><td></td><td>T&nbsp;</td><td>Blood Reef: Tarava</td><td><input type='radio' id='nml' name='T'></td><td><input type='radio' id='hid' name='T'></td><td><input type='radio' id='bol' name='T'></td></tr><tr><td></td><th align=left>Pre&nbsp;</th><th align=left>Pre-game sequence</th><td><input type='radio' id='nml' name='Pre'></td><td><input type='radio' id='hid' name='Pre'></td></tr></table><br><input type='button' name='btnOK' value='OK' onclick='javascript:opener.ASOPsettingsOK()' accesskey='O'><input type='button' name='btnApply' value='Apply' onClick='javascript:opener.ASOPsettingsApply()' accesskey='A'><input type='button' name='btnCancel' value='Cancel' onClick='javascript:opener.ASOPsettingsCancel()' accesskey='C'></form></body></html>"
}

